From 424ebadc66f96782c14fbcd0502dc5c6ad01d4d7 Mon Sep 17 00:00:00 2001
From: Sanket Markan <sanketmarkan@gmail.com>
Date: Fri, 11 Mar 2016 18:32:07 +0530
Subject: [PATCH 6/6] another check for qt version

---
 src/Tools/VlmcLogger.cpp | 9 ---------
 src/Tools/VlmcLogger.h   | 4 ----
 2 files changed, 13 deletions(-)

diff --git a/src/Tools/VlmcLogger.cpp b/src/Tools/VlmcLogger.cpp
index 360dab1..57c9219 100644
--- a/src/Tools/VlmcLogger.cpp
+++ b/src/Tools/VlmcLogger.cpp
@@ -100,11 +100,7 @@ VlmcLogger::setup()
     Backend::IBackend* backend = Backend::getBackend();
     backend->setLogHandler( this, &VlmcLogger::backendLogHandler );
 
-#if QT_VERSION >= QT_VERSION_CHECK(5, 0, 0)
     qInstallMessageHandler( VlmcLogger::vlmcMessageHandler );
-#else
-    qInstallMsgHandler( VlmcLogger::vlmcMessageHandler );
-#endif
 }
 
 void
@@ -131,15 +127,10 @@ VlmcLogger::writeToFile(const char *msg)
 }
 
 void
-#if QT_VERSION >= QT_VERSION_CHECK(5, 0, 0)
 VlmcLogger::vlmcMessageHandler( QtMsgType type, const QMessageLogContext&, const QString& str )
 {
     const QByteArray byteArray = str.toLocal8Bit();
     const char* msg = byteArray.constData();
-#else
-VlmcLogger::vlmcMessageHandler( QtMsgType type, const char* msg )
-{
-#endif
     //FIXME: This is ok as long as we guarantee no log message will arrive after
     // we uninstall the hook
 
diff --git a/src/Tools/VlmcLogger.h b/src/Tools/VlmcLogger.h
index c912369..bf6f87f 100644
--- a/src/Tools/VlmcLogger.h
+++ b/src/Tools/VlmcLogger.h
@@ -49,11 +49,7 @@ class   VlmcLogger : public QObject
             Quiet = QtCriticalMsg
         };
 
-#if QT_VERSION >= QT_VERSION_CHECK(5, 0, 0)
         static void     vlmcMessageHandler(QtMsgType type, const QMessageLogContext& context, const QString& str );
-#else
-        static void     vlmcMessageHandler( QtMsgType type, const char* msg );
-#endif
         static void     backendLogHandler( void* data, Backend::IBackend::LogLevel logLevel, const char* msg );
 
         void            setup();
-- 
1.9.1

